Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.midi
Class MidiEvent

    java.lang.Object
      javax.sound.midi.MidiEvent

    public class MidiEvent

extends Object

MIDI events contain a MIDI message and a corresponding time-stamp expressed in ticks, and can represent the MIDI event information stored in a MIDI file or a ``Sequence`` object. The duration of a tick is specified by the timing information contained in the MIDI file or `Sequence` object.

In Java Sound, `MidiEvent` objects are typically contained in a ``Track``, and `Tracks` are likewise contained in a `Sequence`.

Constructor Summary
`MidiEvent(MidiMessage message, long tick)` Constructs a new `MidiEvent`.

Method Summary
`MidiMessage` | `getMessage()` Obtains the MIDI message contained in the event.
`long` | `getTick()` Obtains the time-stamp for the event, in MIDI ticks
`void` | `setTick(long tick)` Sets the time-stamp for the event, in MIDI ticks

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MidiEvent

    public MidiEvent(MidiMessage message,
                     long tick)

  Constructs a new `MidiEvent`.

  Parameters:
    `message` - the MIDI message contained in the event
    `tick` - the time-stamp for the event, in MIDI ticks

Method Detail

### getMessage

    public MidiMessage getMessage()

  Obtains the MIDI message contained in the event.

  Returns:
    the MIDI message

### setTick

    public void setTick(long tick)

  Sets the time-stamp for the event, in MIDI ticks

  Parameters:
    `tick` - the new time-stamp, in MIDI ticks

### getTick

    public long getTick()

  Obtains the time-stamp for the event, in MIDI ticks

  Returns:
    the time-stamp for the event, in MIDI ticks

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.